{-# LANGUAGE DeriveDataTypeable #-}

module CPUPlayer ( CPUPlayer(..)
                 ) where


import Data.Fixed
import Data.Ratio ((%))
import Data.Typeable

import GLDriver
import Player


data CPUPlayer = CPUPlayer Micro
                 deriving (Typeable, Show)

instance Player CPUPlayer where
    playerUpdate (CPUPlayer angle) _ = (CPUPlayer (if (angle+0.1) > 180 then angle-359.08 else angle+0.02), Just angle, True, Just (-angle), False)
